summaryrefslogtreecommitdiff
path: root/nonprism
diff options
context:
space:
mode:
authorAndré Fabian Silva Delgado <emulatorman@parabola.nu>2016-10-14 09:56:29 -0300
committerAndré Fabian Silva Delgado <emulatorman@parabola.nu>2016-10-14 09:56:29 -0300
commit56f7b83d858007e63477a827883b35deda249768 (patch)
treef92ec1d243861174345e2e0cf6158ca1123a47d7 /nonprism
parent57ad28140e066f798fe81f5fc1e8cbc10e8f0162 (diff)
evolution-data-server-3.22.1+5+g45951fc-1.nonprism1: updating version
Diffstat (limited to 'nonprism')
-rw-r--r--nonprism/evolution-data-server/PKGBUILD34
1 files changed, 26 insertions, 8 deletions
diff --git a/nonprism/evolution-data-server/PKGBUILD b/nonprism/evolution-data-server/PKGBUILD
index 09acb2b28..15daabf05 100644
--- a/nonprism/evolution-data-server/PKGBUILD
+++ b/nonprism/evolution-data-server/PKGBUILD
@@ -1,23 +1,34 @@
-# $Id: PKGBUILD 273488 2016-08-08 09:44:08Z heftig $
+# $Id: PKGBUILD 278802 2016-10-13 21:07:05Z jgc $
# Maintainer (Arch): Jan de Groot <jgc@archlinux.org>
# Maintainer: Márcio Silva <coadde@parabola.nu>
pkgname=evolution-data-server
-pkgver=3.20.5
+pkgver=3.22.1+5+g45951fc
pkgrel=1.nonprism1
pkgdesc="Centralized access to appointments and contacts, without libgdata support"
url="https://wiki.gnome.org/Apps/Evolution"
arch=(i686 x86_64)
-depends=(gnome-online-accounts nss krb5 libgweather libical db libphonenumber webkitgtk)
-makedepends=(intltool gperf gobject-introspection vala gtk-doc boost)
+depends=(gnome-online-accounts nss krb5 libgweather libical db libphonenumber)
+makedepends=(intltool gperf gobject-introspection vala gtk-doc boost git gnome-common)
license=(GPL)
replaces=("${pkgname}-coherence" "${pkgname}-nonprism")
conflicts=("${pkgname}-coherence" "${pkgname}-nonprism")
-source=(http://ftp.gnome.org/pub/gnome/sources/$pkgname/${pkgver:0:4}/$pkgname-$pkgver.tar.xz)
-sha256sums=('0d1586cd326d997497a2a6fddd939a83892be07cb20f8c88fda5013f8c5bbe7e')
+_commit=45951fc03931aa1bf20572676d160292c8c2d5f5 # gnome-3-22
+source=("git://git.gnome.org/evolution-data-server#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/^EVOLUTION_DATA_SERVER_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+ cd $pkgname
+ NOCONFIGURE=1 ./autogen.sh
+}
build() {
- cd "$pkgname-$pkgver"
+ cd $pkgname
./configure --prefix=/usr --sysconfdir=/etc \
--localstatedir=/var --with-openldap=yes \
@@ -33,7 +44,14 @@ build() {
make
}
+check() {
+ cd $pkgname
+ # libedata-book tests fail because they try to
+ # mkdir /usr/lib/evolution-data-server/camel-providers
+ make check -k || :
+}
+
package() {
- cd "$pkgname-$pkgver"
+ cd $pkgname
make DESTDIR="$pkgdir" install
}